StarCraft® II

Will WoL custom maps transfer to HoTS?

So I have a map that I made that goes on and off in popularity. I'm not really a big map maker, but I'd like to see my map in the new expansion. Does anyone know if all custom games will be in HoTS when it comes out, or does something need to be done in order to make my map playable in the expansion?

Edit: Grammar.
Edited by McClane on 12/2/2012 8:43 PM PST
Reply Quote
First... Awesome name... Die Hard rocks.

2nd. I believe I was told that WoL maps will stay on WoL, and HoTS maps will Stay on HoTS, so you may have to Re-Publish them.
I'm not 100% sure and i had this discussion with said person quite some time ago.
Reply Quote
I am pretty much sure that HotS players will be able to play WoL maps. It was the case with SC1 and War3 and I don't see a real valid reason to do otherwise in SC2 when they got even a better setup (dependency system) and many things points to allow both WoL and HotS.

If Blizzard tries to enforce HotS players to only play HotS maps without having to reswitch to WoL then it's a good way to split further the custom map scene for no good reason.
Edited by Honejasi on 12/2/2012 6:12 PM PST
Reply Quote
Thanks for the response. So since I always over think these things and make it more complicated than it probably is, I'll just ask this. So when I install HoTS, you think that all I have to do is go to map editor, (which is supposedly the new HoTS map editor) and just republish my WoL map, and it will show up in HoTS? Because I'm thinking there's some crazy computer way of doing something to my file to make it HoTS compatible; or am I just insane.
Reply Quote
If they split it mcclane then DEFINATLY, i dont see blizzard banning WoL maps from HoTS, only HotS maps cant go on WoL

I
Reply Quote
12/02/2012 08:47 PMPosted by McClane
Thanks for the response. So since I always over think these things and make it more complicated than it probably is, I'll just ask this. So when I install HoTS, you think that all I have to do is go to map editor, (which is supposedly the new HoTS map editor) and just republish my WoL map, and it will show up in HoTS? Because I'm thinking there's some crazy computer way of doing something to my file to make it HoTS compatible; or am I just insane.


If it goes like I expect it to be (I don't see real reasons to do otherwise) :

When you make a map, you associate dependencies. For WoL, your choices are essentially split between WoL melee data and WoL Campaign data.

When HotS hits in, if you keep your WoL dependencies in your map, it means your map is still a WoL map. In other words, you can't benefit from HotS-only gameplay features but it is still playable by WoL-only players.

Then if you want to switch to HotS for your map, you will have to change your map's dependencies from WoL to the HotS' equivalents then republish.

The only thing I am still unsure is if you can use both WoL and HotS dependancies at the same time as I heard some rumors that says otherwise. It depends too much if HotS campaign data carries over WoL's campaign data or not.
Edited by Honejasi on 12/3/2012 3:12 PM PST
Reply Quote
You don't need to downgrade to the starter edition to play starter edition maps. It's the same principle here.

We're all getting the shiny new HOTS client whether we purchase the game or not. The only difference is our dependency files. This is why cross-platform play is a non-issue, because there's only one platform in the first place.

A custom community split three ways, with a vibrant LotV scene lording over two dead dangling WoL and HotS databases, would be absurd.
Reply Quote
Thanks guys, you all answered my question. It's clear now. I just wanted to make sure there wouldn't be some complicated process that people like me couldn't follow. Now I'm just hoping HoTS makes the editor a bit easier to use; I hear a lot of makers were discouraged and I myself still can't figure some basic things out. I'd love to see some more WC3 remakes and new games that really show the power of the editor.
Reply Quote
Developer
The only thing I am still unsure is if you can use both WoL and HotS dependancies at the same time as I heard some rumors that says otherwise. It depends too much if HotS campaign data carries over WoL's campaign data or not.


Swarm Campaign actually depends on Liberty Campaign. For example, just adding Swarm Story as a dependency will actually include Liberty Mod, Liberty Campaign, Swarm Mod, Swarm Camapaign, and Swarm Story in your map or mod's dependencies.

We do have a dependency conflict system that discourages adding Multi and Campaign data at the same time from either Swarm or Liberty. (In the current beta it is restricted, but we are changing this to allow you to do it anyway.) Multi and Campaign mods were designed to be exclusive, as they override the base data in separate ways, and adding both as dependencies would cause hard to find data errors in your map.

For more info, check out this stickied post: http://us.battle.net/sc2/en/forum/topic/7383798582
Edited by Tenarsis on 12/11/2012 8:25 PM PST
Reply Quote
12/11/2012 08:16 PMPosted by Tenarsis
Swarm Campaign actually depends on Liberty Campaign. For example, just adding Swarm Story as a dependency will actually include Liberty Mod, Liberty Campaign, Swarm Mod, Swarm Camapaign, and Swarm Story in your map or mod's dependencies.


That sounds good and all but in practice working on changing these dependencies is a problem right now in the beta. Porting maps from WoL that use both camapign and multi dependencies make it impossible to replace those with Swarm ones, because you devs blocked some combinations.

I made a thread about it, but I think even a good part of map makers don't even understand what this "little" change means, so it didn't get many replies.

I repeat it here: please undo this change and, instead, shout some warnings and create a tutorial about it. We who already know how to deal with it just lost the ability to mix dependencies as we see fit, for the result we want.
Reply Quote
Developer
12/12/2012 02:26 PMPosted by SoulFilcher
I repeat it here: please undo this change and, instead, shout some warnings and create a tutorial about it. We who already know how to deal with it just lost the ability to mix dependencies as we see fit, for the result we want.


Hey there SoulFilcher

So I'm not sure if you fully understood what Tenarsis was saying above. He says that while the restriction is currently in-place, it will be lifted:

12/11/2012 08:16 PMPosted by Tenarsis
In the current beta it is restricted, but we are changing this to allow you to do it anyway.
Reply Quote
@Deletarius: Yeah, at the very bottom of his post it says it was edited after I posted mine, so I believe he added that after my complaint. And since it's the first time any of you devs say it will be lifted I don't think this is something you had already planned.

Thanks for the reply anyway.
Reply Quote
@Deletarius: Yeah, at the very bottom of his post it says it was edited after I posted mine, so I believe he added that after my complaint. And since it's the first time any of you devs say it will be lifted I don't think this is something you had already planned.

Thanks for the reply anyway.


It was there i think, I read his post before you had posted yours. Must have skipped over that when you were reading :P.
Reply Quote

Please report any Code of Conduct violations, including:

Threats of violence. We take these seriously and will alert the proper authorities.

Posts containing personal information about other players. This includes physical addresses, e-mail addresses, phone numbers, and inappropriate photos and/or videos.

Harassing or discriminatory language. This will not be tolerated.

Forums Code of Conduct

Report Post # written by

Reason
Explain (256 characters max)
Submit Cancel

Reported!

[Close]